# $Revision: 1.6 $, $Date: 2002/02/05 11:35:11 $
Summary:	A port forwarder that works with IPChains and IPFWADM
Summary(pl):	Forwarder portw dziaajcy z ipchains i ipfwadm
Name:		portfwd
Version:	0.22
Release:	2
License:	GPL
Vendor:		Everton da Silva Marques
Group:		Networking/Daemons
Group(de):	Netzwerkwesen/Server
Group(es):	Red/Servidores
Group(fr):	Rseau/Serveurs
Group(pl):	Sieciowe/Serwery
Group(pt):	Rede/Server
Source0:	ftp://ftp.sourceforge.net/pub/sorceforge/portfwd/%{name}-%{version}.tar.gz
Patch0:		%{name}-am_fixes.patch
PAtch1:		%{name}-ac_fixes.patch
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://portfwd.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libstdc++-devel
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PortFwd, by Everton da Silva Marques, is a small C++ user-space
utility which forwards incoming TCP connections and/or UDP packets to
remote hosts. Features:
- forwarding based on originator port
- multiple ports forwarded from one config file
- FTP forwarding, which requires two ports.

%description -l pl
PortFwd, autorstwa Evertona de Silva Marquesa, jest maym narzdziem w
C++ dziaajcym w user-space, przekierowujcym poczenia TCP lub
pakiety UDP na zewntrzne hosty. Cechy:
- przekierowywanie zalene od portu rdowego
- konfiguracja wielu portw w jednym pliku konfiguracyjnym
- przekierowywanie FTP - wymagajce dwch portw.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f config/missing
aclocal
autoconf
automake -a -c
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install cfg/empty.cfg $RPM_BUILD_ROOT%{_sysconfdir}/portfwd.cfg

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/portfwd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/portfwd

gzip -9nf CREDITS README TODO cfg/* contrib/suggestions.txt doc/FAQ doc/conf.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add portfwd
if [ -f /var/lock/subsys/portfwd ]; then
        /etc/rc.d/init.d/portfwd restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/portfwd start\" to start portfwd."
fi

%preun
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/portfwd ]; then
                /etc/rc.d/init.d/portfwd stop 1>&2
        fi
        /sbin/chkconfig --del portfwd
fi

%files
%defattr(644,root,root,755)
%doc *.gz cfg/*.gz contrib/*.gz doc/*.gz
%attr(755,root,root) %{_sbindir}/portfwd
%{_mandir}/man?/*
%attr(754,root,root) /etc/rc.d/init.d/portfwd
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/portfwd
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/portfwd.cfg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: portfwd.spec,v $
Revision 1.6  2002/02/05 11:35:11  kloczek
- cosmetics.

Revision 1.5  2002/02/05 11:27:53  adasi
 - i'm so stupid....

Revision 1.4  2002/02/05 11:20:55  adasi
 - added %post/%preun

Revision 1.3  2002/02/05 11:16:17  kloczek
- cleanups in spec file and on am/ac level.

Revision 1.2  2002/01/18 02:14:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/11/26 11:22:56  qboosh
- new: user-space port-forwarder; based on spec from package
